import Box from "@/components/Box";
import { timeFormat } from "@/utils/methods";

const Message = () => {
    return (
        <div>
            {Array(20)
                .fill(null)
                .map((_, i) => {
                    return (
                        <Box key={i} className={"border-b-[1px] border-[#333333] text-[14px]"}>
                            <div className={"flex justify-between pb-[0.0694rem]"}>
                                <p>name</p>
                                <p className={""}>
                                    {i % 3 === 0 ? (
                                        <span className={"text-[green]"}>+ {i + 1}</span>
                                    ) : (
                                        <span className={"text-[#acacac]"}>5000</span>
                                    )}
                                </p>
                            </div>
                            <div className={"text-[12px flex justify-between text-[#acacac]"}>
                                <p>{timeFormat(new Date().getTime())}</p>
                                <p>Pogo</p>
                            </div>
                        </Box>
                    );
                })}
        </div>
    );
};

export default Message;
